<ui:composition xmlns:a4j="http://richfaces.org/a4j" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:g="http://www.ihe.net/gazelle"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:rich="http://richfaces.org/rich"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns="http://www.w3.org/1999/xhtml" xmlns:s="http://jboss.org/schema/seam/taglib">
    <!-- params: ciddMessages (list<CIDDMessages)
    insert: additional_columns -->
    <rich:dataTable value="#{ciddMessages}" var="ciddMessage" rows="#{dataScrollerMemory.numberOfResultsPerPage}"
                    id="partitionTable" onRowMouseOver="this.style.backgroundColor='#94C2E6'"
                    onRowMouseOut="this.style.backgroundColor='#{a4jSkin.tableBackgroundColor}'" render="ds">
        <g:column sortBy="#{ciddMessage.name}" filterBy="#{ciddMessage.name}" filterEvent="onkeyup">
            <ui:define name="header">Name</ui:define>
            <h:outputText value="#{ciddMessage.name}"/>
        </g:column>
        <g:column sortBy="#{ciddMessage.type.label}" filterBy="#{ciddMessage.type.label}" filterEvent="onkeyup">
            <ui:define name="header">Type</ui:define>
            <h:outputText value="#{ciddMessage.type.label}"/>
        </g:column>
        <g:column sortBy="#{ciddMessage.timestamp}" filterBy="#{ciddMessage.timestamp}" filterEvent="onkeyup">
            <ui:define name="header">Timestamp</ui:define>
            <h:outputText value="#{ciddMessage.timestamp}"/>
        </g:column>
        <ui:insert name="additional_columns"/>
    </rich:dataTable>
</ui:composition>
